Subject: RE: I-D ACTION:draft-ietf-dnsind-rfc2052bis-00.txt

From: Johnny Eriksson <[email-masked]>
Date: Fri, 4 Sep 1998 12:18:02 MET DST

> Microsoft Windows NT 5.0 makes heavy use of the SRV RR, mainly for the
> location of Active Directory servers.  In the recently shipped Beta 2
> release of WinNT 5.0, Active Directory domain controllers use the dynamic
> update protocol to register SRV RRs.  Active Directory clients query for SRV
> RRs.  The current code uses RFC2052-spec names (no leading underscores).

> WinNT 5.0 could be characterized as an "Early Adopter" of the (experimental)
> SRV RR.  To prevent future incompatibilites, we would prefer that the
> leading underscore not be reintroduced into the spec.

I don't mean to be excessively rough or something, but:

What part of the word "experimental" was it that you did not understand?

--Johnny (after his daily overdose of J*m Fl*m*ng messages).

---

From: Stuart Kwan <[email-masked]>
Date: Fri, 4 Sep 1998 08:09:59 -0700

Matt,

I am not pleading ignorance of the formal meaning of experimental.  I am
merely voicing the opinion of a software developer that has already
delivered running code based on the current protocol.  I prefer that the
leading underscore not be reintroduced into the spec.  It's just a piece of
feedback to be weighed with all other feedback.

Cheers,
- Stuart

> -----Original Message-----
> From:	Matt Crawford [SMTP:[email-masked]]
> Sent:	Friday, September 04, 1998 6:53 AM
> To:	Stuart Kwan
> Cc:	[email-masked]
> Subject:	Re: I-D ACTION:draft-ietf-dnsind-rfc2052bis-00.txt 
> 
> > Cheers,
> > - Stuart Kwan
> > Microsoft Corp.
> Excerpt from STD 1 (RFC 2300) --
> 
>    4.1.4.  Experimental Protocol
> 
>       A system should not implement an experimental protocol unless it
>       is participating in the experiment and has coordinated its use of
>       the protocol with the developer of the protocol.
> 
>       Typically, experimental protocols are those that are developed as
>       part of an ongoing research project not related to an operational
>       service offering.  While they may be proposed as a service
>       protocol at a later stage, and thus become proposed standard,
>       draft standard, and then standard protocols, the designation of a
>       protocol as experimental may sometimes be meant to suggest that
>       the protocol, although perhaps mature, is not intended for
>       operational use.
> 
> 
> Taking out the underscore was bad.  Failure to put it back in was
> bad.  Youe s/w is in beta test.  Do you plead ignorance of the
> formal meaning of "experimental"?  Or do you operate with a different
> informal meaning of "beta test"?